Public Member Functions | Package Functions | Static Package Functions

# BinNavi.API.disassembly.Tag Class Reference

Represents a single view tag or node tag. More...

Inherits BinNavi::APIHelpers::ApiObject< ITreeNode< CTag > >.

List of all members.

## Public Member Functions
void | addListener (final ITagListener listener)
| Adds a tag listener.
List< Tag > | getChildren ()
| Child tags of the tag.
String | getDescription ()
| Description of the tag.
String | getName ()
| Name of the tag.
Tag | getParent ()
| Parent tag of the tag.
TagType | getType ()
| Type of the tag.
void | removeListener (final ITagListener listener)
| Removes a tag listener.
void | setDescription (final String description) throws CouldntSaveDataException
| Changes the tag description.
void | setName (final String name) throws CouldntSaveDataException
| Changes the tag name.
String | toString ()
| Printable representation of the tag.
## Package Functions
| Tag (final ITreeNode< CTag > tag)
## Static Package Functions
static void | link (final Tag parent, final Tag child)
static void | unlink (final Tag parent, final Tag child)

## Detailed Description

A tag can be used to categorize views or nodes.

## Constructor & Destructor Documentation

BinNavi.API.disassembly.Tag.Tag | ( | final ITreeNode< CTag > | tag | ) | `[package]`

Creates a new API tag object backed by an internal tag object.

Parameters:

  | tag | The internal tag object that backs the API tag object.

## Member Function Documentation

void BinNavi.API.disassembly.Tag.addListener | ( | final ITagListener | listener | ) |

Adds an object that is notified about changes in the tag.

Parameters:

  | listener | The listener object that is notified about changes in the tag.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object is already listening on the tag.

List<Tag> BinNavi.API.disassembly.Tag.getChildren | ( |  | ) |

Returns the children of the tag.

Returns:
  A list of child tags.

String BinNavi.API.disassembly.Tag.getDescription | ( |  | ) |

Returns the description of the tag.

Returns:
  The description of the tag.

String BinNavi.API.disassembly.Tag.getName | ( |  | ) |

Returns the name of the tag.

Returns:
  The name of the tag.

Tag BinNavi.API.disassembly.Tag.getParent | ( |  | ) |

Returns the parent tag of the tag.

Returns:
  The parent tag of the tag.

TagType BinNavi.API.disassembly.Tag.getType | ( |  | ) |

Returns the type of the tag.

Returns:
  The type of the tag.

static void BinNavi.API.disassembly.Tag.link | ( | final Tag | parent,
|  | final Tag | child |
| ) |  |  | `[static, package]`

Links two tag objects.

Parameters:

  | parent | The parent tag object that is set as the parent of the child.
  | child | The child tag object that is added to the child list of the parent.

void BinNavi.API.disassembly.Tag.removeListener | ( | final ITagListener | listener | ) |

Removes a listener object from the tag.

Parameters:

  | listener | The listener object to remove from the tag.

Exceptions:

  | IllegalArgumentException | Thrown if the listener argument is null.
  | IllegalStateException | Thrown if the listener object was not listening on the tag.

void BinNavi.API.disassembly.Tag.setDescription | ( | final String | description | ) | throws CouldntSaveDataException

Changes the description of the tag.

Parameters:

  | description | The new description of the tag.

Exceptions:

  | CouldntSaveDataException | Thrown if the description of the tag could not be changed.

void BinNavi.API.disassembly.Tag.setName | ( | final String | name | ) | throws CouldntSaveDataException

Changes the name of the tag.

Parameters:

  | name | The new description of the tag.

Exceptions:

  | CouldntSaveDataException | Thrown if the name of the tag could not be changed.

String BinNavi.API.disassembly.Tag.toString | ( |  | ) |

Returns a string representation of the tag.

Returns:
  A string representation of the tag.

static void BinNavi.API.disassembly.Tag.unlink | ( | final Tag | parent,
|  | final Tag | child |
| ) |  |  | `[static, package]`

Unlinks two tag objects.

Parameters:

  | parent | The parent tag.
  | child | The child tag that is removed from the child list of the parent.